org.keycloak.models.entities

## Class RoleEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.RoleEntity

- Direct Known Subclasses:
    MongoRoleEntity

      public class RoleEntity
      extends AbstractIdentifiableEntity

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationId()`
    `List<String>` | `getCompositeRoleIds()`
    `String` | `getDescription()`
    `String` | `getName()`
    `String` | `getRealmId()`
    `void` | `setApplicationId(String applicationId)`
    `void` | `setCompositeRoleIds(List<String> compositeRoleIds)`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setRealmId(String realmId)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleEntity

          public RoleEntity()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getCompositeRoleIds

          public List<String> getCompositeRoleIds()

    - #### setCompositeRoleIds

          public void setCompositeRoleIds(List<String> compositeRoleIds)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getApplicationId

          public String getApplicationId()

    - #### setApplicationId

          public void setApplicationId(String applicationId)

Copyright © 2014. All Rights Reserved.